<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class CreateComposerInstances extends Upgrader\Migration
{
    public function change()
    {
        $this->createTable('ComposerInstances', [
            'description' => 'Composer Applications',
            'columns' => [
                'id' => self::TYPE_PRIMARY_KEY,
                'webspaceId' => [
                    'type' => self::TYPE_FOREIGN_KEY,
                    'foreignKey' => 'domains.id',
                    'deleteCascade' => true,
                ],
                'path' => self::TYPE_STRING,
                'name' => [
                    'type' => self::TYPE_STRING,
                    'notNull' => false,
                ],
            ],
            'indexes' => [
                'webspaceId' => [
                    'type' => self::INDEX_KEY,
                    'columns' => ['webspaceId'],
                ],
                'path' => [
                    'type' => self::INDEX_UNIQUE,
                    'columns' => ['webspaceId', 'path'],
                ],
            ],
        ]);
    }
}
